Build #8 for ghc-vis-0.4

[all reports]

Package ghc-vis-0.4
Install DependencyFailed glib-0.12.5.4
Docs NotTried
Tests NotTried
Time submitted 2016-12-24 01:32:36.357237 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, cairo-0.12.5.3, deepseq-1.4.2.0, fgl-5.5.3.0, ghc-heap-view-0.5.7, graphviz-2999.18.1.2, gtk-0.12.5.7, mtl-2.2.1, text-1.2.2.1, transformers-0.5.2.0, xdot-0.3.0.1
Flags graph

Build log

[view raw]

Resolving dependencies...
Configuring colour-2.3.3...
Configuring dlist-0.8.0.2...
Building dlist-0.8.0.2...
Building colour-2.3.3...
Installed dlist-0.8.0.2
Configuring fgl-5.5.3.0...
Building fgl-5.5.3.0...
Configuring ghc-heap-view-0.5.7...
Installed colour-2.3.3
Building ghc-heap-view-0.5.7...
Configuring mtl-2.2.1...
Installed fgl-5.5.3.0
Building mtl-2.2.1...
Configuring stm-2.4.4.1...
Installed mtl-2.2.1
Building stm-2.4.4.1...
Configuring text-1.2.2.1...
Installed ghc-heap-view-0.5.7
Building text-1.2.2.1...
Configuring transformers-compat-0.5.1.4...
Installed stm-2.4.4.1
Building transformers-compat-0.5.1.4...
Configuring utf8-string-0.3.7...
Installed transformers-compat-0.5.1.4
Building utf8-string-0.3.7...
Configuring exceptions-0.8.3...
Installed utf8-string-0.3.7
Building exceptions-0.8.3...
Installed exceptions-0.8.3
Configuring glib-0.12.5.4...
Configuring cairo-0.12.5.3...
Failed to install glib-0.12.5.4
Build log ( /home/builder/.cabal/logs/glib-0.12.5.4.log ):
cabal: Entering directory '/tmp/cabal-tmp-13003/glib-0.12.5.4'
cabal: Leaving directory '/tmp/cabal-tmp-13003/glib-0.12.5.4'
Configuring temporary-1.2.0.4...
Failed to install cairo-0.12.5.3
Build log ( /home/builder/.cabal/logs/cairo-0.12.5.3.log ):
cabal: Entering directory '/tmp/cabal-tmp-13002/cairo-0.12.5.3'
cabal: Leaving directory '/tmp/cabal-tmp-13002/cairo-0.12.5.3'
Building temporary-1.2.0.4...
Installed text-1.2.2.1
Configuring wl-pprint-text-1.1.0.4...
Configuring polyparse-1.12...
Installed temporary-1.2.0.4
Building wl-pprint-text-1.1.0.4...
Building polyparse-1.12...
Installed wl-pprint-text-1.1.0.4
Installed polyparse-1.12
Configuring graphviz-2999.18.1.2...
Building graphviz-2999.18.1.2...
Installed graphviz-2999.18.1.2
cabal: Error: some packages failed to install:
cairo-0.12.5.3 failed during the configure step. The exception was:
user error ('/opt/ghc/8.0.2/bin/ghc' exited with an error:

/tmp/cabal-tmp-13002/cairo-0.12.5.3/SetupWrapper.hs:60:49: error:
Ambiguous occurrence ‘exeExtension’
It could refer to either ‘Distribution.Simple.BuildPaths.exeExtension’,
imported from ‘Distribution.Simple.BuildPaths’ at
/tmp/cabal-tmp-13002/cairo-0.12.5.3/SetupWrapper.hs:11:40-51
or ‘System.Directory.exeExtension’,
imported from ‘System.Directory’ at
/tmp/cabal-tmp-13002/cairo-0.12.5.3/SetupWrapper.hs:23:1-23
(and originally defined in
‘directory-1.2.6.2:System.Directory.Internal.Config’)

/tmp/cabal-tmp-13002/cairo-0.12.5.3/SetupWrapper.hs:91:17: error:
Ambiguous occurrence ‘die’
It could refer to either ‘Distribution.Simple.Utils.die’,
imported from ‘Distribution.Simple.Utils’ at
/tmp/cabal-tmp-13002/cairo-0.12.5.3/SetupWrapper.hs:8:1-32
or ‘System.Exit.die’,
imported from ‘System.Exit’ at
/tmp/cabal-tmp-13002/cairo-0.12.5.3/SetupWrapper.hs:21:1-18
)
ghc-vis-0.4 depends on glib-0.12.5.4 which failed to install.
gio-0.12.5.3 depends on glib-0.12.5.4 which failed to install.
glib-0.12.5.4 failed during the configure step. The exception was:
user error ('/opt/ghc/8.0.2/bin/ghc' exited with an error:

/tmp/cabal-tmp-13003/glib-0.12.5.4/SetupWrapper.hs:60:49: error:
Ambiguous occurrence ‘exeExtension’
It could refer to either ‘Distribution.Simple.BuildPaths.exeExtension’,
imported from ‘Distribution.Simple.BuildPaths’ at
/tmp/cabal-tmp-13003/glib-0.12.5.4/SetupWrapper.hs:11:40-51
or ‘System.Directory.exeExtension’,
imported from ‘System.Directory’ at
/tmp/cabal-tmp-13003/glib-0.12.5.4/SetupWrapper.hs:23:1-23
(and originally defined in
‘directory-1.2.6.2:System.Directory.Internal.Config’)

/tmp/cabal-tmp-13003/glib-0.12.5.4/SetupWrapper.hs:91:17: error:
Ambiguous occurrence ‘die’
It could refer to either ‘Distribution.Simple.Utils.die’,
imported from ‘Distribution.Simple.Utils’ at
/tmp/cabal-tmp-13003/glib-0.12.5.4/SetupWrapper.hs:8:1-32
or ‘System.Exit.die’,
imported from ‘System.Exit’ at
/tmp/cabal-tmp-13003/glib-0.12.5.4/SetupWrapper.hs:21:1-18
)
gtk-0.12.5.7 depends on glib-0.12.5.4 which failed to install.
gtk3-0.12.5.7 depends on glib-0.12.5.4 which failed to install.
pango-0.12.5.3 depends on glib-0.12.5.4 which failed to install.
xdot-0.3.0.1 depends on glib-0.12.5.4 which failed to install.